## gate.gui
Class ApplicationEditor.ParameterValueEditor

    java.lang.Object
      |
      +--javax.swing.AbstractCellEditor
            |
            +--gate.gui.ApplicationEditor.ParameterValueEditor

All Implemented Interfaces:
  CellEditor, Serializable, TableCellEditor

Enclosing class:
  ApplicationEditor

class ApplicationEditor.ParameterValueEditor
extends AbstractCellEditor
implements TableCellEditor

See Also:
  Serialized Form

Inner Class Summary
`(package private) class` `ApplicationEditor.ParameterValueEditor.ComboRenderer`

Field Summary
`(package private) JButton` `button`
`(package private) JComboBox` `combo`
`(package private) boolean` `comboUsed`
`(package private) Box` `textButtonBox`
`(package private) JTextField` `textField`
`(package private) String` `type`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`(package private)` `ApplicationEditor.ParameterValueEditor()`

Method Summary
`Object` `getCellEditorValue()`
`Component` `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Field Detail

### type

    String type

### combo

    JComboBox combo

### textField

    JTextField textField

### comboUsed

    boolean comboUsed

### button

    JButton button

### textButtonBox

    Box textButtonBox

Constructor Detail

### ApplicationEditor.ParameterValueEditor

    ApplicationEditor.ParameterValueEditor()

Method Detail

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`
  Overrides:
    `getCellEditorValue` in class `AbstractCellEditor`